import Home from '@/layouts/index.vue'

export default [
  {
    path: "/",
    component: Home,
    name: "customHome",
    meta: {
      title: '客户管理'
    },
    hidden: true,
    icon_path: require("@/assets/img/home/custom_ico.png"),
    children: [
      {
        path: "customSearch",
        component: () => import("@/views/custom_manage/custom/customSearch.vue"),
        name: "customSearch",
        hidden: false,
        meta: {
          title: "客户检索",
          keepAlive: false,
        },
      },
      {
        path: "customList",
        component: () => import("@/views/custom_manage/custom/customList.vue"),
        name: "customList",
        hidden: false,
        meta: {
          title: "客户列表",
          keepAlive: false,
        },
      },
      {
        path: "customShareList",
        component: () => import("@/views/custom_manage/custom/customShareList.vue"),
        name: "customShareList",
        hidden: false,
        meta: {
          title: '正式客户共享'
        }
      },
      {
        path: 'customCityList',
        component: () => import('@/views/custom_manage/custom/customCityList.vue'),
        name: 'customCityList',
        hidden: false,
        meta: {
          title: '查看同城客户',
          pathFrom: 'customShareList',
          pathName: '正式客户共享'
        }
      },
      {
        path: "customAllList",
        component: () => import("@/views/custom_manage/custom/customAllList.vue"),
        name: "customAllList",
        hidden: false,
        meta: {
          title: '全量客户列表'
        }
      },
      {
        path: "customListEn",
        component: () => import("@/views/custom_manage/customEn/customListEn.vue"),
        name: "customListEn",
        hidden: false,
        meta: {
          title: '英文客户列表'
        }
      },
      {
        path: "overseasCustomList",
        component: () => import("@/views/custom_manage/overseas/overseasCustomList.vue"),
        name: "overseasCustomList",
        hidden: false,
        meta: {
          title: '海外客户列表'
        }
      },
      {
        path: "trialContactListEn",
        component: () => import("@/views/custom_manage/customEn/limitContactListEn.vue"),
        name: "trialContactListEn",
        hidden: false,
        meta: {
          title: '临时权限列表'
        }
      },
      {
        path: "freezeContactListEn",
        component: () => import("@/views/custom_manage/customEn/limitContactListEn.vue"),
        name: "freezeContactListEn",
        hidden: false,
        meta: {
          title: '终止权限列表'
        }
      },
      {
        path: "pickList",
        name: "pickList",
        component: () => import("@/views/custom_manage/custom/pickList.vue"),
        hidden: false,
        meta: {
          keepAlive: false,
          title: '领取列表'
        },
      },
      {
        path: "addCustom",
        name: "addCustom",
        component: () => import("@/views/custom_manage/custom/addCustom.vue"),
        hidden: true,
        meta: {
          title: '新增客户',
          pathFrom: "customList",
          pathName: "客户列表",
          keepAlive: false,
        },
      },
      {
        path: "editCustom",
        name: "editCustom",
        component: () => import("@/views/custom_manage/custom/editCustom.vue"),
        hidden: true,
        meta: {
          title: '编辑客户',
          pathFrom: "customList",
          pathName: "客户列表",
          keepAlive: false,
        },
      },
      {
        path: "addCustomEn",
        component: () => import("@/views/custom_manage/customEn/editCustomEn.vue"),
        name: "addCustomEn",
        hidden: true,
        meta: {
          pathFrom: "customListEn",
          pathName: "英文客户列表",
          title: '新增英文客户'
        },
      },
      {
        path: "editCustomEn",
        component: () => import("@/views/custom_manage/customEn/editCustomEn.vue"),
        name: "editCustomEn",
        hidden: true,
        meta: {
          pathFrom: "customListEn",
          pathName: "英文客户列表",
          title: '编辑英文客户'
        },
      },
      {
        path: "customDetail",
        name: "customDetail",
        component: () => import("@/views/custom_manage/custom/customDetail.vue"),
        hidden: true,
        meta: {
          pathFrom: "customList",
          pathName: "客户列表",
          keepAlive: false,
          title: '客户详情'
        },
      },
      {
        path: "detailCustomEn",
        component: () => import("@/views/custom_manage/customEn/editCustomEn.vue"),
        name: "detailCustomEn",
        hidden: true,
        meta: {
          pathFrom: "customListEn",
          pathName: "英文客户列表",
          title: '英文客户详情'
        },
      },
      {
        path: "pickCustom",
        name: "pickCustom",
        component: () => import("@/views/custom_manage/custom/pickCustom.vue"),
        hidden: true,
        meta: {
          title: '领取客户',
          pathFrom: "pickList",
          pathName: "领取列表",
          keepAlive: false,
        },
      },
      // 服务更新差分为 续约申请和补充协议其中 权益无补充协议
      {
        path: "updateCustom",
        name: "updateCustom",
        component: () => import("@/views/custom_manage/custom/updateServe.vue"),
        hidden: true,
        meta: {
          title: '续约申请',
          pathFrom: "customList",
          pathName: "客户列表",
          keepAlive: false,
        },
      },
      {
        path: "addAgreement",
        name: "addAgreement",
        component: () => import("@/views/custom_manage/custom/updateServe.vue"),
        hidden: true,
        meta: {
          title: '补充协议',
          pathFrom: "customList",
          pathName: "客户列表",
          keepAlive: false,
        },
      },
      {
        path: "turnCustom",
        name: "turnCustom",
        component: () => import("@/views/custom_manage/custom/applyTurn.vue"),
        hidden: true,
        meta: {
          title: '申请转正',
          pathFrom: "customList",
          pathName: "客户列表",
          keepAlive: false,
        },
      },
      {
        path: "approvalUpdate",
        name: "approvalUpdate",
        component: () => import("@/views/custom_manage/custom/approvalUpdate.vue"),
        hidden: true,
        meta: {
          title: '续约审批',
          pathFrom: "approvalList",
          pathName: "审批列表",
          keepAlive: false,
        },
      },
      {
        path: "approvalTurn",
        name: "approvalTurn",
        component: () => import("@/views/custom_manage/custom/approvalTurn.vue"),
        hidden: true,
        meta: {
          title: '转正审批',
          pathFrom: "approvalList",
          pathName: "审批列表",
          keepAlive: false,
        },
      },
      {
        path: "trialApplication",
        component: () => import("@/views/custom_manage/officalTrial/trialApplication.vue"),
        name: "trialApplication",
        hidden: false,
        meta: {
          keepAlive: false,
          title: '官网试用申请'
        },
      },
      {
        path: "userFiccApplyList",
        name: "userFiccApplyList",
        component: () => import("@/views/ficc_manage/userApplication.vue"),
        hidden: false,
        meta: {
          title: '用户申请列表',
        }
      },
      {
        path: "regionCustomerList",
        component: () => import("@/views/custom_manage/custom/regionCustom.vue"),
        name: "regionCustomerList",
        hidden: false,
        meta: {
          keepAlive: false,
          title: '客户区域统计'
        },
      },
      {
        path: "regionCustomerDetail",
        component: () => import("@/views/custom_manage/custom/regionCustomDetail.vue"),
        name: "regionCustomerDetail",
        hidden: false,
        meta: {
          title: '正式客户列表',
          pathFrom: "regionCustomerList",
          pathName: "客户区域统计",
          keepAlive: false,
        },
      },
      {
        path: "contactsList",
        component: () => import("@/views/custom_manage/contacts/contactsList.vue"),
        name: "contactsList",
        hidden: false,
        meta: {
          title: '联系人列表',
          keepAlive: false,
        },
      },
      {
        path: "mutualList",
        name: "mutualList",
        component: () => import("@/views/custom_manage/contacts/mutualList.vue"),
        hidden: true,
        meta: {
          title: '互动列表',
          pathFrom: "contactsList",
          pathName: "联系人列表",
          keepAlive: false,
        },
      },
      {
        path: "organizationList",
        name: "organizationList",
        component: () => import("@/views/custom_manage/contacts/organizationList.vue"),
        hidden: true,
        meta: {
          title: '互动列表',
          pathFrom: "contactsList",
          pathName: "联系人列表",
          keepAlive: false,
        },
      },
      {
        path: "wholeOrganization",
        name: "wholeOrganization",
        component: () => import("@/views/custom_manage/contacts/wholeOrganization.vue"),
        hidden: true,
        meta: {
          title: '互动列表',
          pathFrom: "contactsList",
          pathName: "联系人列表",
          keepAlive: false,
        },
      },
      {
        path: "customerlistmatch",
        name: "customerListMatch",
        component: () => import("@/views/custom_manage/custom/listMatch.vue"),
        hidden: false,
        meta: {
          title: '客户名单匹配'
        }
      },
      {
        path: "etaTrialList",
        component: () => import("@/views/custom_manage/etaTrial/etaTrialList.vue"),
        name: "etaTrialList",
        hidden: false,
        meta: {
          keepAlive: false,
          title: 'ETA试用'
        },
      },
      {
        path: "etaApprovalList",
        component: () => import("@/views/custom_manage/etaTrial/etaTrialList.vue"),
        name: "etaApprovalList",
        hidden: false,
        meta: {
          title: '审批列表',
          pathFrom: "etaTrialList",
          pathName: "ETA试用",
          keepAlive: false,
        },
      },
      {
        path: "etaAddApproval",
        component: () => import("@/views/custom_manage/etaTrial/addApproval.vue"),
        name: "etaAddApproval",
        hidden: false,
        meta: {
          title: '新增申请',
          pathFrom: "etaTrialList",
          pathName: "ETA试用",
          keepAlive: false,
        },
      },
      {
        path: "questionnaireSurvey",
        component: () => import("@/views/custom_manage/etaTrial/questionnaireSurvey.vue"),
        name: "questionnaireSurvey",
        hidden: false,
        meta: {
          title: '问卷调研',
          pathFrom: "etaTrialList",
          pathName: "ETA试用",
        },
      },
      {
        path: "questionnaireOption",
        component: () => import("@/views/custom_manage/etaTrial/questionnaireOption.vue"),
        name: "questionnaireOption",
        hidden: false,
        meta: {
          title: '问卷配置',
          pathFrom: "etaTrialList",
          pathName: "ETA试用",
        },
      },
      {
        path: "textQuestionDetail",
        component: () => import("@/views/custom_manage/etaTrial/textQuestionDetail.vue"),
        name: "textQuestionDetail",
        hidden: false,
        meta: {
          title: '统计详情',
          pathFrom: "etaTrialList",
          pathName: "ETA试用",
        },
      },
      {
        path: "customerContractStatistics",
        component: () => import("@/views/custom_manage/custom/contractStatistics.vue"),
        name: "customerContractStatistics",
        hidden: false,
        meta: {
          title: '开票到款统计'
        }
      },
      {
        path:'businessETAList',
        name:"businessETAList",
        component: () => import('@/views/business_ETA_manage/businessList.vue'),
				hidden: false,
        meta: {
          title: '商家管理'
        }
      },
      {
        path:'addETABusiness',
        name:"addETABusiness",
        component: () => import('@/views/business_ETA_manage/addBusiness.vue'),
				hidden: false,
        meta:{
          pathFrom: "businessETAList",
          pathName: "商家管理",
          title:"新增商家",
        }
      },
      {
        path:'editETABusiness',
        name:"editETABusiness",
        component: () => import('@/views/business_ETA_manage/businessEdit.vue'),
				hidden: false,
        meta:{
          pathFrom: "businessETAList",
          pathName: "商家管理",
          title:"编辑商家",
        }
      },
      {
        path:'businessETADetail',
        name:"businessETADetail",
        component: () => import('@/views/business_ETA_manage/businessDetail.vue'),
				hidden: false,
        meta:{
          pathFrom: "businessETAList",
          pathName: "商家管理",
          title:"商家详情",
        }
      },
      {
        path:'businessETAAuth',
        name:"businessETAAuth",
        component: () => import('@/views/business_ETA_manage/businessAuth.vue'),
        hidden: false,
        meta:{
          pathFrom: "businessETAList",
          pathName: "商家管理",
          title:"商家权限",
        }
      },
      {
        path:'overseasCustomRoadshow',
        name:"overseasCustomRoadshow",
        component: () => import('@/views/custom_manage/overseas/overseasCustomRoadshow.vue'),
        hidden: false,
        meta: {
          title: '海外客户路演'
        }
      }
    ],
  },
];
