import Home from "@/layouts/index.vue";

export default [
  {
    path: "/",
    component: Home,
    name: "ficcXcxManage",
    hidden: false,
    meta: {
      title: "ficc小程序管理",
    },
    children: [
      {
        path: "videoManage",
        name: "videoManage",
        component: () => import("@/views/interaction_manage/videoManage.vue"),
        meta: {
          title: "中文视频",
        },
      },
      {
        path: "videoManageEN",
        name: "videoManageEN",
        component: () => import("@/views/interaction_manage/videoManageEN.vue"),
        meta: {
          title: "英文视频",
        },
      },
      {
        path: "videoManageENAdd",
        name: "videoManageENAdd",
        component: () => import("@/views/interaction_manage/videoManageENAdd.vue"),
        meta: {
          title: "添加视频",
          pathFrom: "videoManageEN",
          pathName: "英文视频",
          keepAlive: false,
        },
      },
      {
        path: "videoManageENEdit",
        name: "videoManageENEdit",
        component: () => import("@/views/interaction_manage/videoManageENAdd.vue"),
        meta: {
          title: "编辑视频",
        },
      },
      {
        path: "reportupdate",
        component: () => import("@/views/report_manage/dayWeekUpdate.vue"),
        name: "reportupdate",
        hidden: true,
        meta: {
          title: "报告更新管理",
          keepAlive: false,
        },
      },
      {
        path: "questionManage",
        name: "questionManage",
        component: () => import("@/views/interaction_manage/questionManage.vue"),
        meta: {
          title: "问答社区",
        },
      },
      // {
      // 	path: "messageboard",
      // 	name: "留言板",
      // 	component: () => import('@/views/interactive_manage/messageboard.vue')
      // },
      {
        path: "ybComment",
        name: "ybComment",
        component: () => import("@/views/interactive_manage/messageManage.vue"),
        meta: {
          title: "留言管理",
        },
      },
      {
        path: "likelist",
        name: "likelist",
        component: () => import("@/views/interactive_manage/likelist.vue"),
        meta: {
          title: "点赞",
        },
      },
      // {
      // 	path:"questionComment",
      // 	name:"问答评论",
      // 	component:()=>import('@/views/interactive_manage/questionComment.vue')
      // },
      {
        path: "bulletChatList",
        name: "bulletChatList",
        component: () => import("@/views/interactive_manage/bulletChatList.vue"),
        meta: {
          title: "弹幕管理",
        },
      },
      {
        path: "voicePlayStatistics",
        component: () => import("@/views/dataReport_manage/voicePlayList.vue"),
        name: "voicePlayStatistics",
        hidden: false,
        meta: {
          title: "语音播报统计",
        },
      },
      {
        path: "reportlabel",
        component: () => import("@/views/report_manage/tagLib.vue"),
        name: "reportlabel",
        hidden: true,
        meta: {
          title: "标签库",
        },
      },
      // {
      // 	path:'sendlog',
      // 	component:()=> import('@/views/report_manage/reportEn/sendMsgLog.vue'),
      // 	name:'群发日志',
      // 	hidden:true
      // },
      {
        path: "bannerStatistics",
        component: () => import("@/views/interaction_manage/bannerStatistics.vue"),
        name: "bannerStatistics",
        hidden: true,
        meta: {
          title: "banner 统计",
        },
      },
      {
        path: "reportVariety",
        component: () => import("@/views/ficc_manage/reportVariety.vue"),
        name: "reportVariety",
        hidden: true,
        meta: {
          title: "报告分类配置",
        },
      },
      {
        path: "chapterVariety",
        component: () => import("@/views/ficc_manage/chapterVariety.vue"),
        name: "chapterVariety",
        hidden: true,
        meta: {
          title: "章节设置",
          pathFrom: "reportVariety",
          pathName: "报告分类配置",
          keepAlive: false,
        },
      },
      {
        path: "researchStatisticsFICC",
        component: () => import("@/views/interaction_manage/researchStatistics.vue"),
        name: "researchStatisticsFICC",
        hidden: true,
        meta: {
          title: "调研报名统计",
        },
      },
      {
        path: "registrationDetails",
        component: () => import("@/views/interaction_manage/registrationDetails.vue"),
        name: "registrationDetails",
        hidden: true,
        meta: {
          title: "报名详情",
          pathFrom: "researchStatisticsFICC",
          pathName: "调研报名统计",
        },
      },
    ],
  },
];
