//运营管理路由模块
import Home from '@/layouts/index.vue'
export default [{
    path: "/",
    component: Home,
    name: "operateManage",
    hidden: false,
    meta: {
        title: "运营管理",
    },
    children: [{
        path:'daynews',
        component:()=> import('@/views/operation_manage/dayilyNews.vue'),
        name:'daynews',
        hidden:false,
        meta:{
            title:'每日资讯'
        }
    },
    {
        path: "pdfList",
        component: () => import("@/views/operation_manage/pdfList.vue"),
        name: "pdfList",
        hidden: false,
        meta: {
            title: "PDF报告",
        },
    },{
        path: "updateLogManage",
        component: () => import("@/views/operation_manage/updatelog_manage/updateLogManage.vue"),
        name: "updateLogManage",
        hidden: false,
        meta: {
            title: "更新日志配置",
        },
    },{
        path: "Sysoperations",
        component: () => import("@/views/operation_manage/operationsManage.vue"),
        name: "Sysoperations",
        hidden: false,
        meta: {
            title: "运营管理员",
        },
    },{
        path: "messageSetting",
        component: () => import("@/views/operation_manage/messageManage.vue"),
        name: "messageSetting",
        hidden: false,
        meta: {
            title: "留言管理员",
        },
    },{
        path: "etaMenuConfig",
        component: () => import("@/views/operation_manage/etaMenu_manage/etaMenuConfig.vue"),
        name: "etaMenuConfig",
        hidden: false,
        meta: {
            title: "ETA菜单配置",
        },
    },{
        path: "voiceManage",
        component: () => import("@/views/operation_manage/voice_manage/voiceManage.vue"),
        name: "voiceManage",
        hidden: false,
        meta: {
            title: "语音播报管理",
        },
    },{
        path: "jmAttendList",
        component: () => import('@/views/ficc_manage/activity/jmAttendList.vue'),
        name: "jmAttendList",
        hidden: false,
        meta:{
            title:'进门到会管理'
        }
    },{
        path: 'jmAttendDetail',
        component: () => import('@/views/ficc_manage/activity/jmAttendDetail.vue'),
        name: 'jmAttendDetail',
        hidden: true,
        meta: {
            title:'进门到会详情',
            pathFrom: 'jmAttendList',
            pathName: '进门到会管理',
            keepAlive: false
        }
    },{
        path:"assistanceCenter",
        component: () => import('@/views/system_manage/assistance_center/assistanceCenter.vue'),
        name: 'assistanceCenter',
        hidden: false,
        meta:{
            title:'帮助中心配置'
        }
    },
    {
        path:"assistanceDocDetail",
        component: () => import('@/views/system_manage/assistance_center/assistanceDocDetail.vue'),
        name: 'assistanceDocDetail',
        hidden: true,
        meta: {
            title:'查看文章',
            pathFrom: 'assistanceCenter',
            pathName: '帮助中心配置'
        }
    },
    {
        path:"assistanceDocAdd",
        component: () => import('@/views/system_manage/assistance_center/assistanceDocAdd.vue'),
        name: 'assistanceDocAdd',
        hidden: true,
        meta: {
            title:'添加文章',
            pathFrom: 'assistanceCenter',
            pathName: '帮助中心配置'
        }
    },
    {
        path:"assistanceDocEdit",
        component: () => import('@/views/system_manage/assistance_center/assistanceDocAdd.vue'),
        name: 'assistanceDocEdit',
        hidden: true,
        meta: {
            title:'编辑文章',
            pathFrom: 'assistanceCenter',
            pathName: '帮助中心配置'
        }
    },
    {
        path:"docClassifyManage",
        component: () => import('@/views/system_manage/assistance_center/docClassifyManage.vue'),
        name: 'docClassifyManage',
        hidden: true,
        meta: {
            title:'分类管理',
            pathFrom: 'assistanceCenter',
            pathName: '帮助中心配置'
        }
    }]
}];