//停更模块路由
import Home from '@/layouts/index.vue'

export default [
    {
		path: "/",
		component: Home,
		name:'Home',
		icon_path: require('@/assets/img/home/custom_ico.png'),
		meta:{
			title: '停更模块',
		},
		children:[
			{
				path:"pricedriven",
				name:"pricedriven",
				component:()=>import('@/views/report_manage/priceDriven.vue'),
				meta:{
					title:'价格驱动'
				}
			},
			{
				path:'priceDrivenStatistics',
				component: () => import('@/views/dataReport_manage/priceDrivenStatistics.vue'),
				name: 'priceDrivenStatistics',
				meta:{
					title:'价格驱动点击量'
				}
			},
			{
				path: 'everyday',
				component: () => import('@/views/report_manage/everyday.vue'),
				name: 'everyday',
				meta: {
					title: '每日商品聚焦'
				}
			},
			{
				path:'emaiList',
				component:()=> import('@/views/report_manage/emailList.vue'),
				name:'emaiList',
				meta: {
					title: '邮箱管理'
				}
			},
			{
				path: "Sysgroupsend",
				component: () => import('@/views/system_manage/stopUpdate/groupSend.vue'),
				name: 'Sysgroupsend',
				hidden: false,
				meta:{
					title:'群发设置'
				}
			},
			{
				path: 'bannerlist',
				component: () => import('@/views/system_manage/stopUpdate/bannerList.vue'),
				name: 'bannerlist',
				hidden: false,
				meta: {
					title:'轮播图列表'
				}
			},
			{
				path: 'videoList',
				component: () => import('@/views/system_manage/stopUpdate/videoList.vue'),
				name: 'videoList',
				hidden: false,
				meta: {
					title:'视频管理'
				}
			},
			{
				path: "attendList",
				name: 'attendList',
				component: () => import('@/views/ficc_manage/activity/attendList.vue'),
				hidden: false,
				meta:{
					title:'全时到会管理'
				},
				//进入前是否清除参数
				beforeEnter(to, from, next) {
					if (from.path != "/ficcActivityAdd" && from.path != "/ficcActivityEdit") {
						sessionStorage.removeItem("ficcActivityList");
					}
					next();
				},
			}, 
			{
				path: 'attendDetail',
				name: 'attendDetail',
				component: () => import('@/views/ficc_manage/activity/attendDetail.vue'),
				hidden: true,
				meta: {
					title:'全时到会详情',
					pathFrom: 'attendList',
					pathName: '全时到会管理',
				}
			},
			{
				path: "ficcSignUpList",
				name: 'ficcSignUpList',
				component: () => import('@/views/ficc_manage/signUp/signUpList.vue'),
				hidden: false,
				meta:{
					title:'报名管理'
				}
			},
			{
				path: "ficcActivityList",
				name: 'ficcActivityList',
				component: () => import('@/views/ficc_manage/activity/activityList.vue'),
				hidden: false,
				meta:{
					title:'活动管理'
				},
				//进入前是否清除参数
				beforeEnter(to, from, next) {
					if (from.path != "/ficcActivityAdd" && from.path != "/ficcActivityEdit") {
						sessionStorage.removeItem("ficcActivityList");
					}
					next();
				},
			},
			{
				path: 'ficcActivityAdd',
				name: 'ficcActivityAdd',
				component: () => import('@/views/ficc_manage/activity/addActivity.vue'),
				hidden: false,
				meta: {
						title:'添加活动',
						pathFrom: 'ficcActivityList',
						pathName: '活动管理',
						keepAlive: false
					}
			},
			{
				path: 'ficcActivityEdit',
				name: 'ficcActivityEdit',
				component: () => import('@/views/ficc_manage/activity/editActivity.vue'),
				hidden: false,
				meta: {
					title:'编辑活动',
					pathFrom: 'ficcActivityList',
					pathName: '活动管理',
					keepAlive: false
				}
			},
			{
				path: 'ficcActivitySpeaker',
				name: '主讲人管理',
				component: () => import('@/views/ficc_manage/activity/speakerList.vue'),
				hidden: false,
				meta:{
					pathName:'活动管理',
					pathFrom:'ficcActivityList',
					title:'主讲人管理'
				}
			},
			{
				path: 'readStatistics',
				component: () => import('@/views/dataReport_manage/readStatistics.vue'),
				name: 'readStatistics',
				hidden: false,
				meta:{
					title:'图库阅读统计'
				},
			},
			{
				path: 'readClassify',
				component: () => import('@/views/dataReport_manage/readClassify.vue'),
				name: 'readClassify',
				hidden: false,
				meta: {
					title:'',//title页面内根据参数拼接
					pathName: '图库阅读统计',
					pathFrom: 'readStatistics',
				},
				//进入前是否清除参数
				beforeEnter(to, from, next) {
					to.matched[1].meta.title = to.query.name
					next();
				},
			},
			{
				path: 'chartJurisdiction',
				component: () => import('@/views/dataReport_manage/jurisdiction.vue'),
				name: '图库权限开通统计',
				hidden: false,
				meta:{
					title:'图库权限开通统计'
				}
			},
			{
				path:'ReportThsSend',
				component:()=> import('@/views/report_manage/pushSetting.vue'),
				name:'ReportThsSend',
				meta: {
					title: '推送客户群设置'
				}
			},
			// {
			// 	path:"enAuthManage",
			// 	component: () => import('@/views/system_manage/enAuthManage.vue'),
			// 	name: '英文权限配置',
			// 	hidden: false,
			// }
		]
    }
]